Save the auto-pause thresholds, throttles and sync interval
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/settings/providers"
payload := strings.NewReader("{ \"bounce\": 1, \"complaint\": 1, \"confirmOver\": 1, \"mailboxComplaint\": 1, \"pauseScope\": \"route\", \"providerError\": 1, \"suppressionSync\": \"15m\", \"throttles\": { \"additionalProperty\": 1 } }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/settings/providers';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"bounce":1,"complaint":1,"confirmOver":1,"mailboxComplaint":1,"pauseScope":"route","providerError":1,"suppressionSync":"15m","throttles":{"additionalProperty":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/settings/providers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "bounce": 1, "complaint": 1, "confirmOver": 1, "mailboxComplaint": 1, "pauseScope": "route", "providerError": 1, "suppressionSync": "15m", "throttles": { "additionalProperty": 1 } }'Permission: providers:manage (sensitive)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Responses
Section titled “Responses”OK
object
object
Auto-pause at this hard-bounce rate, percent
Auto-pause at this complaint rate, percent
Sends to more recipients need the count typed to confirm
Auto-pause one mailbox provider at this complaint rate, percent
Treat a provider as failing at this API error rate over 3 minutes, percent
Messages per second per mailbox provider (gmail, outlook, yahoo, icloud); 0 = no limit
object
object
object
Example
{ "defaults": { "pauseScope": "route", "suppressionSync": "15m" }, "providers": [ { "cost": { "basis": "metered" }, "status": "healthy", "statusTone": "ok" } ]}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}